Attributes.hh File Reference

This file provides some macros containing attribute usage. More...

`#include <OpenMesh/Core/System/config.h>`
`#include <OpenMesh/Core/Mesh/Status.hh>`
Include dependency graph for Attributes.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
| OpenMesh::Attributes
| This namespace holds per item attributes like normal/color.

## Enumerations

enum | OpenMesh::Attributes::AttributeBits { OpenMesh::Attributes::None = 0, OpenMesh::Attributes::Normal = 1, OpenMesh::Attributes::Color = 2, OpenMesh::Attributes::PrevHalfedge = 4, OpenMesh::Attributes::Status = 8, OpenMesh::Attributes::TexCoord1D = 16, OpenMesh::Attributes::TexCoord2D = 32, OpenMesh::Attributes::TexCoord3D = 64, OpenMesh::Attributes::TextureIndex = 128 }
| Attribute bits. More...

## Detailed Description

This file provides some macros containing attribute usage.